Bug 802077 - [abrt] kernel: WARNING: at kernel/irq/manage.c:1163 __free_irq+0xa0/0x220()
[abrt] kernel: WARNING: at kernel/irq/manage.c:1163 __free_irq+0xa0/0x220()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:afd4cb36c1d8282b5f421d32039...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 15:38 EST by Jonathan
Modified: 2012-05-14 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:17:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan 2012-03-10 15:38:22 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.2.8-3.fc16.x86_64 root=UUID=728e6c98-c103-4587-a444-825e332dc78f ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
comment:        I closed my lid for my laptop and it went to sleep. Then I opened it back up and I recieved this error message.
event_log:      2012-03-10-15:35:31> Smolt profile successfully saved
kernel:         3.2.8-3.fc16.x86_64
reason:         WARNING: at kernel/irq/manage.c:1163 __free_irq+0xa0/0x220()
time:           Sun 04 Mar 2012 07:48:39 PM EST

backtrace:
:WARNING: at kernel/irq/manage.c:1163 __free_irq+0xa0/0x220()
:Hardware name: MS-1656
:Trying to free already-free IRQ 18
:Modules linked in: lp vmnet(O) ppdev parport_pc parport fuse vsock(O) vmci(O) vmmon(O) be2iscsi iscsi_boot_sysfs 8021q garp stp llc bnx2i fcoe libfcoe libfc scsi_transport_fc scsi_tgt cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack binfmt_misc arc4 snd_hda_codec_hdmi microcode joydev snd_hda_codec_realtek iwlwifi snd_hda_intel snd_hda_codec snd_hwdep mac80211 snd_seq snd_seq_device cfg80211 rfkill i2c_i801 snd_pcm jmb38x_ms iTCO_wdt memstick iTCO_vendor_support r8169 mii snd_timer snd soundcore snd_page_alloc ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder ir_nec_decoder rc_rc6_mce ene_ir rc_core uinput sdhci_pci firewire_ohci sdhci mmc_core firewire_core crc_itu_t wmi video rade
:on ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1959, comm: kworker/0:0 Tainted: G           O 3.2.8-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106e52f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106e626>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff8107cd00>] ? lock_timer_base+0x70/0x70
: [<ffffffff810df400>] __free_irq+0xa0/0x220
: [<ffffffffa0142040>] ? dummy_send_request+0x20/0x20 [firewire_core]
: [<ffffffff810df705>] free_irq+0x55/0xd0
: [<ffffffffa018b0ef>] pci_remove+0x6f/0x2b0 [firewire_ohci]
: [<ffffffff812dd946>] pci_device_remove+0x46/0x110
: [<ffffffff81393acc>] __device_release_driver+0x7c/0xe0
: [<ffffffff81393b5c>] device_release_driver+0x2c/0x40
: [<ffffffff8139357d>] bus_remove_device+0x7d/0xe0
: [<ffffffff813900fd>] device_del+0x12d/0x1b0
: [<ffffffff813901a2>] device_unregister+0x22/0x60
: [<ffffffff812d7a1c>] pci_stop_bus_device+0x8c/0xa0
: [<ffffffff812eef81>] acpiphp_disable_slot+0xa1/0x190
: [<ffffffff812edbc6>] ? get_slot_status+0x46/0xc0
: [<ffffffff812ef0a5>] acpiphp_check_bridge+0x35/0xf0
: [<ffffffff812ef6ce>] _handle_hotplug_event_bridge+0x2de/0x4e0
: [<ffffffff810883a6>] ? move_linked_works+0x66/0x90
: [<ffffffff81310da4>] ? acpi_os_wait_events_complete+0x23/0x23
: [<ffffffff812ef3f0>] ? _handle_hotplug_event_func+0x1d0/0x1d0
: [<ffffffff8108a5bd>] process_one_work+0x11d/0x470
: [<ffffffff8108b9bf>] worker_thread+0x15f/0x350
: [<ffffffff8108b860>] ? manage_workers+0x230/0x230
: [<ffffffff8109037c>] kthread+0x8c/0xa0
: [<ffffffff815ec774>] kernel_thread_helper+0x4/0x10
: [<ffffffff810902f0>] ? kthread_worker_fn+0x190/0x190
: [<ffffffff815ec770>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: a004e0ab-46b5-43bd-b041-e4672f634007
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4787.89
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 450  @ 2.40GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 3873
:System Swap: 2063
:Vendor: MICRO-STAR INTERNATIONAL CO., LTD
:System: MS-1656 REV:1.0
:Form factor: Notebook
:Kernel: 3.2.9-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:5218:4110) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:5218:4110) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(6523:9092:5218:4110) pci, None, BASE, xD Host Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:5218:4110) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:5218:4110) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:5218:4110) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(4332:33128:5218:4110) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:15164:5218:4110) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:5218:4110) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15174:5218:4110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:15170:5218:4110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:5218:4110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:5218:4110) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:5218:4110) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:5218:4110) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43608:5218:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(4098:26785:5218:4193) pci, radeon, VIDEO, Broadway PRO [Mobility Radeon HD 5800 Series]
:(32902:16946:32902:4865) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 25662880 16497907 16241103 6422528 6088603 6088603
:
Comment 1 Josh Boyer 2012-03-12 09:47:15 EDT
Does this happen without the vmware modules loaded?
Comment 2 Dave Jones 2012-03-22 13:16:33 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:18:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:26:52 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.